# Linux has channel order
# FL, FR, RL, RR, C, LFE, SL, SR
# HDMI has this one
# FL, FR, LFE, FC, RL, RR, RLC, RRC

pcm.!front {
  type route
  slave.pcm hdmi
  slave.channels 2
  ttable {
    0.0= 1
    1.1= 1
  }
}
pcm.!surround21 {
  type route
  slave.pcm hdmi
  slave.channels 4
  ttable {
    0.0= 1
    1.1= 1
    2.2= 1
  }
}
pcm.!surround30 {
  type route
  slave.pcm hdmi
  slave.channels 4
  ttable {
    0.0= 1
    1.1= 1
    2.3= 1
  }
}
pcm.!surround31 {
  type route
  slave.pcm hdmi
  slave.channels 4
  ttable {
    0.0= 1
    1.1= 1
    2.3= 1
    3.2= 1
  }
}
pcm.!surround40 {
  type route
  slave.pcm hdmi
  slave.channels 6
  ttable {
    0.0= 1
    1.1= 1
    2.4= 1
    3.5= 1
  }
}
pcm.!surround41 {
  type route
  slave.pcm hdmi
  slave.channels 6
  ttable {
    0.0= 1
    1.1= 1
    2.4= 1
    3.5= 1
    4.2= 1
  }
}
pcm.!surround50 {
  type route
  slave.pcm hdmi
  slave.channels 6
  ttable {
    0.0= 1
    1.1= 1
    2.4= 1
    3.5= 1
    4.3= 1
  }
}
pcm.!surround51 {
  type route
  slave.pcm hdmi
  slave.channels 6
  ttable {
    0.0= 1
    1.1= 1
    2.4= 1
    3.5= 1
    4.3= 1
    5.2= 1
  }
}
pcm.!surround71 {
  type route
  slave.pcm hdmi
  slave.channels 8
  ttable {
    0.0= 1
    1.1= 1
    2.4= 1
    3.5= 1
    4.3= 1
    5.2= 1
    6.6= 1
    7.7= 1
  }
}
